
- classname: _enumerate
  keyname: vm_env
  is_enabled: True
  displayname: "VM Environnement"
  description: "Environnement d'une VM"
  content: |
    - value: "INCONNU"
    - value: "PRODUCTION"
    - value: "PREPRODUCTION"
    - value: "DEVELOPPEMENT"
    - value: "FORMATION"
    - value: "QUALIFICATION"
    - value: "REPLICA"
    - value: "TEMPLATE"
    - value: "MULTI_PROD"
    - value: "MULTI_NON-PROD"



- classname: _enumerate
  keyname: vm_status
  displayname: "VM Status"
  description: "Status Active/Inactive/Decommissionée de la VM"
  content: |
    - value: "ACTIVE"
    - value: "INACTIVE"
    - value: "DECOMMISSIONNEE"


- classname: _enumerate
  keyname: vm_os
  displayname: "VM OS"
  description: "OS des VMs et Infos associées"
  content: |
      - value: "CentOS 5"
        family: "Linux"
        eol: "2017-03-01"
        expired: "Expired"


#-----------------------------------------        

#-----------------------------------------        

#-----------------------------------------        

#-----------------------------------------        

#-----------------------------------------        

#-----------------------------------------        


- classname: _schema
  keyname: vm
  displayname: VMs
  is_enabled: true
  _options:
    icon: fa-server
    keyname_mode: edit
    keyname_label: Keyname
    displayname_label: Displayname
    p_admin: p_data_vm_admin
    p_create: p_data_vm_create
    p_read: p_data_vm_read
    p_update: p_data_vm_update
    p_delete: p_data_vm_delete
  power:
    displayname: On/Off
    description: Power state (power)
    dataformat: string
    order: 100
    page: Général
  status:
    displayname: Statut
    dataformat: enumerate
    dataformat_ext: vm_status
    order: 100
    page: Général
    cardinal_min: 1
    default_value: ACTIVE
  org_site:
    displayname: Site
    dataformat: schema
    dataformat_ext: site tri_reseau
    order: 102
    page: Général
  owner:
    displayname: Propriétaire IT
    description: Choisir un ou plusieurs utilisateurs
    dataformat: user
    order: 104
    page: Général
    cardinal_max: 0
  operator:
    displayname: Exploitant IT
    description: Choisir un ou plusieurs utilisateurs
    dataformat: user
    order: 104
    page: Général
    cardinal_max: 0
  env:
    displayname: Environement
    dataformat: enumerate
    dataformat_ext: vm_env
    order: 108
    page: Général
  last_sync:
    displayname: Synchro CSV
    dataformat: datetime
    order: 109
    page: Général
  vcpu:
    displayname: CPU (nb)
    dataformat: int
    order: 110
    page: Général
  ram:
    displayname: RAM (Mo)
    dataformat: int
    order: 112
    page: Général
  disk:
    displayname: Disque (Mo)
    dataformat: int
    order: 114
    page: Général
  name_envelop:
    displayname: Nom enveloppe
    description: Nom de l'enveloppe VMWare ou equivalent
    dataformat: string
    order: 116
    page: Général
  hypervisor:
    displayname: Hyperviseur
    description: Hyperviseur ESX ou autre
    dataformat: string
    order: 118
    page: Général
  app:
    displayname: App
    description: Application importée
    dataformat: schema
    dataformat_ext: app
    order: 200
    page: Général
  app_import:
    displayname: App (import)
    description: Application importée
    dataformat: string
    order: 200
    page: Général
  app_function:
    displayname: App Fonction
    description: Fonction Applicative
    dataformat: string
    order: 201
    page: Général
  app_function_import:
    displayname: App Fonction (import)
    description: Fonction Applicative importée
    dataformat: string
    order: 201
    page: Général
  health_data:
    displayname: Donnée de santé
    description: donnée de santé
    dataformat: boolean
    order: 202
    page: Général
    default_value: 'False'
  ip:
    displayname: IP
    dataformat: ipv4
    order: 100
    page: Réseau
  vlan:
    displayname: VLAN
    dataformat: string
    order: 202
    page: Réseau
  _pole:
    displayname: Pole
    dataformat: external
    dataformat_ext: org_site pole
    order: 151
    page: Localisation
  os_auto:
    displayname: OS (importé)
    dataformat: string
    order: 316
    page: Caractéristiques
  os_manual:
    displayname: OS (manuel)
    dataformat: enumerate
    dataformat_ext: vm_os
    order: 316
    page: Caractéristiques
